## nvidia-graphics-drivers 375.82

=== debian/changelog ===
nvidia-graphics-drivers (375.82-9mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Fix debian/detect/nvidia-detect.in for MX.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 30 Nov 2017 17:28:20 -0800

nvidia-graphics-drivers (375.82-9~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Nov 2017 03:57:34 +0100

nvidia-graphics-drivers (375.82-9) unstable; urgency=medium

  * B-D: dpkg-dev (>= 1.18.8) for SOURCE_DATE_EPOCH in pkg-info.mk.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Nov 2017 09:50:24 +0100

nvidia-graphics-drivers (375.82-8~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Do not conflict with *-glvnd-nvidia, there is no libglvnd in stretch.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 Nov 2017 01:42:29 +0100

nvidia-graphics-drivers (375.82-8) unstable; urgency=medium

  * Do not provide libglvnd package names at all.
  * nvidia-driver-libs: Add Conflicts against *-glvnd-nvidia to force
    switching to the libglvnd packages.  (Closes: #878035, #879261, 875438)
  * Use https:// URLs where possible.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 Nov 2017 20:34:10 +0100

nvidia-graphics-drivers (375.82-7) unstable; urgency=medium

  * Use Conflicts+Replaces+Provides on the provided libglvnd package names,
    Breaks does not work for M-A: same packages.  (Closes: #879821)
  * Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19).
  * nvidia-detect: Detect devices in PCI classes 0301 (XGA compatible
    controller) and 0302 (3D controller), too.  (Closes: #879792)
  * bug-script: List these devices, too.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 29 Oct 2017 19:33:44 +0100

nvidia-graphics-drivers (375.82-6) unstable; urgency=high

  [ Luca Boccassi ]
  * Add use-kbuild-gcc-plugins.patch to fix kernel module build failure
    when the kernel is built with CONFIG_GCC_PLUGIN*. (Closes: #878677)

  [ Andreas Beckmann ]
  * Provide libglvnd package names, mesa 17.x is now in testing.
    (Closes: #876766, #389971)
  * Do not provide libglvnd package names where the NVIDIA provided binaries
    are missing symbols w.r.t. to the libglvnd packages.
    (Closes: #879264, #879013)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 25 Oct 2017 13:43:16 +0200

nvidia-graphics-drivers (375.82-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Use Priority: optional for transitional packages.
  * Bump Standards-Version to 4.1.1.
  * bug-control: Add arch qualification to M-A:same packages in report-with
    list otherwise reportbug will ignore them if more than one is installed.
  * bug-control: Report status of libglvnd packages.
  * Simplify upstream changelog handling.

  [ Luca Boccassi ]
  * Add nvidia-drm-crtc.patch to fix nvidia-drm kernel module build failure
    for Linux 4.14. (Closes: #878160)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Oct 2017 21:18:39 +0200

nvidia-graphics-drivers (375.82-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Oct 2017 04:09:06 +0200

nvidia-graphics-drivers (375.82-4) unstable; urgency=medium

  * Prevent mixing libgl1-nvidia-glx with libgl1-nvidia-glvnd-glx.
  * Use versioned Depends and Provides/Breaks/Replaces on the packages also
    built from src:libglvnd s.t. they cannot be satisfied by virtual packages
    provided from src:mesa (<< 17).  (Closes: #875683, #876100)
  * Do not yet provide the libglvnd package names that were also virtual
    packages in mesa (for compatibility with mesa (<< 17) still in testing).
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Sep 2017 08:19:58 +0200

nvidia-graphics-drivers (375.82-3) unstable; urgency=medium

  * nvidia-legacy-check: Fix debconf errors if more than one legacy NVIDIA
    device is present.  (Closes: #869817, #864406, #812595)
  * Mark GRID K1, GRID K2, GRID K340 as legacy GPUs supported only up to
    nvidia-legacy-340xx-driver.  (Closes: #873050)
  * GLVND stub libs: Provide the libglvnd package names.
  * Provide libglx-vendor, libegl-vendor for libglvnd compatibility.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Sep 2017 17:58:46 +0200

nvidia-graphics-drivers (375.82-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Bump Standards-Version to 4.1.0. No changes needed.
  * nvidia-alternative: Explicitly use interest-await triggers.
  * Switch from dh_install --list-missing to dh_missing.
  * Use dpkg makefile snippets instead of manual changelog parsing.
  * build-module-packages.sh: Order kernels by descending version.
    Skip PREEMPT_RT (*-rt-*) kernels, unsupported upstream.
  * Add nvidia-nonglvnd-vulkan-icd and nvidia-nonglvnd-vulkan-common for the
    non-GLVND variant of Vulkan support.  (Closes: #864477)
  * Use nvidia_icd.json as the template to generate the non-GLVND variant.
  * Rename libgldispatch0-nvidia to libglvnd0-nvidia, matching libglvnd0.
  * Use libglvnd libraries as preferred alternative dependencies.
  * GLVND stub libs: Conflicts/Replaces the corresponding libglvnd packages.

  [ Luca Boccassi ]
  * README.source: Add pointer to the wiki for instructions to build latest
    packages from SVN.
  * Switch to my debian.org email address in Uploaders.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Sep 2017 15:03:09 +0200

nvidia-graphics-drivers (375.82-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Aug 2017 05:03:52 +0200

nvidia-graphics-drivers (375.82-1) unstable; urgency=high

  * New upstream long lived branch release 375.82 (2017-07-24).
    * Fixed CVE-2017-6257, CVE-2017-6259.  (Closes: #869783)
    - Fix a bug with GLX_EXT_buffer_age where incorrect buffer age values
      would be reported for SLI AFR configurations. In such configurations

