=== debian/control ===
#Source: nvidia-graphics-drivers${nvidia:Legacy}
Source: nvidia-graphics-drivers
Section: non-free/libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-graphics-drivers/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-graphics-drivers/
Build-Depends:
 debhelper (>= 10),
 dpkg-dev (>= 1.18.8),
 xz-utils,
 dkms,
 libwayland-client0,
 libwayland-server0,
 libxext6 [!ppc64el],
 quilt,
 po-debconf,
Build-Conflicts:
 libglvnd-dev,
Rules-Requires-Root: no
Standards-Version: 4.1.1
Homepage: https://www.nvidia.com
XS-Autobuild: yes

#Package: ${nvidia}-driver
Package: nvidia-driver
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 ${nvidia}-driver-libs (= ${binary:Version}),
 ${nvidia}-driver-bin (= ${binary:Version}),
 xserver-xorg-video-${nvidia} (= ${binary:Version}),
 ${nvidia}-vdpau-driver (= ${binary:Version}),
 ${nvidia}-alternative (= ${binary:Version}),
 ${nvidia:kmod:binary},
 nvidia-support,
 ${misc:Depends}
Recommends:
 ${nvidia-settings},
 nvidia-persistenced,
Suggests:
 ${nvidia:kmod:source},
Provides:
 nvidia-glx-any,
Breaks:
 nvidia-glx${nvidia:Legacy},
Replaces:
 nvidia-glx${nvidia:Legacy},
Description: NVIDIA metapackage${nvidia:LegacyDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES/Vulkan applications via a direct-rendering X Server.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

#Package: ${nvidia}-driver-bin
Package: nvidia-driver-bin
Section: non-free/x11
Architecture: i386 amd64 armhf
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver,
Provides:
 nvidia-driver-bin-${nvidia:Version},
Conflicts:
 nvidia-driver-bin-${nvidia:Version},
Breaks:
 ${nvidia}-driver (<< 343.22-2~),
 nvidia-glx${nvidia:Legacy} (<< 319),
Replaces:
 ${nvidia}-driver (<< 343.22-2~),
 nvidia-glx${nvidia:Legacy} (<< 319),
Description: NVIDIA driver support binaries${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains supporting binaries for the driver.

#Package: ${nvidia}-driver-libs
Package: nvidia-driver-libs
Architecture: i386 amd64 armhf
Multi-Arch: same
Depends:
 libgl1-${nvidia}-glvnd-glx (= ${binary:Version}) | libgl1-${nvidia}-glx (= ${binary:Version}),
 ${nvidia}-egl-icd (= ${binary:Version}) | libegl1-${nvidia} (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 ${nvidia}-driver-libs-i386 [amd64],
 libopengl0 | libopengl0-glvnd-nvidia,
 libglx-${nvidia}0 (= ${binary:Version}),
 libgles-${nvidia}1 (= ${binary:Version}),
 libgles-${nvidia}2 (= ${binary:Version}),
 lib${nvidia}-cfg1 (= ${binary:Version}),
 ${nvidia}-vulkan-icd (= ${binary:Version}) [amd64 i386] | ${nvidia}-nonglvnd-vulkan-icd (= ${binary:Version}) [amd64 i386],
#Conflicts:
# libglvnd0-nvidia,
# libopengl0-glvnd-nvidia,
# libglx0-glvnd-nvidia,
# libgl1-glvnd-nvidia-glx,
# libegl1-glvnd-nvidia,
# libgles1-glvnd-nvidia,
# libgles2-glvnd-nvidia,
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES libraries)${nvidia:LegacyDesc}
 This metapackage depends on the NVIDIA binary libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.

#Package: ${nvidia}-driver-libs-i386
Package: nvidia-driver-libs-i386
Architecture: i386
Multi-Arch: foreign
Depends:
 ${nvidia}-driver-libs,
 ${misc:Depends}
Conflicts:
 libgl1-${nvidia}-glx-i386,
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES 32-bit libraries)${nvidia:LegacyDescShort}
 This metapackage helps the automatic installation of the 32-bit NVIDIA
 OpenGL/GLX/EGL/GLES libraries when installing ${nvidia}-driver-libs
 on amd64 with foreign architecture i386 enabled.

#Package: xserver-xorg-video-${nvidia}
Package: xserver-xorg-video-nvidia
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 lib${nvidia}-glcore (= ${binary:Version}),
 ${nvidia}-alternative (= ${binary:Version}),
 nvidia-support (>= 20120630),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}),
 ${nvidia}-vdpau-driver (>= ${nvidia:Version}),
 ${nvidia:kmod:binary},
 ${nvidia-settings},
Suggests:
 ${nvidia:kmod:source},
Provides:
 xserver-xorg-video-nvidia-any,
 ${nvidia:xorgProvides},
Breaks:
 glx-alternative-nvidia (<< 0.6.91),
Replaces:
 glx-alternative-nvidia (<< 0.6.91),
Description: NVIDIA binary Xorg driver${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-legacy-check
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Pre-Depends:
 debconf (>= 0.5) | debconf-2.0,
 pciutils,
 nvidia-installer-cleanup (>= 20151021),
Depends:
 ${misc:Depends}
Description: check for NVIDIA GPUs requiring a legacy driver
 This package checks whether the system contains NVIDIA GPUs that are no longer
 supported by the main driver line and require a legacy driver.
 .
 If such hardware is present, a (preseedable) debconf question will be asked to
 confirm the installation of the current driver line.

Package: libglvnd0-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 glvnd-nvidia-abi-375.20,
Conflicts:
 libglvnd0,
 libgldispatch0,
Breaks:
 libgldispatch0-nvidia,
Replaces:
 libglvnd0,
 libgldispatch0,
 libgldispatch0-nvidia,
Description: Vendor neutral GL dispatch library -- libGLdispatch
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the (binary) GLVND libGLdispatch.so.0 shared library
 provided by NVIDIA.

Package: libopengl0-glvnd-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 libopengl0,
Replaces:
 libopengl0,
Description: Vendor neutral GL dispatch library -- libOpenGL
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the (binary) GLVND libOpenGL.so.0 stub library provided
 by NVIDIA which dispatches to vendor implementations via GLVND.

Package: libglx0-glvnd-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 libglx0,
Replaces:
 libglx0,
Description: Vendor neutral GL dispatch library -- libGLX
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the (binary) GLVND libGLX.so.0 stub library provided by
 NVIDIA which dispatches to vendor implementations (libGLX_*.so.0) via GLVND.

#Package: libglx-${nvidia}0
Package: libglx-nvidia0
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 libglx0 | libglx0-glvnd-nvidia,
 lib${nvidia}-glcore (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libglx-vendor,
Description: NVIDIA binary GLX library${nvidia:LegacyDesc}
 GLX ("OpenGL Extension to the X Window System") provides an interface between
 OpenGL and the X Window System as well as extensions to OpenGL itself.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary GLX implementation by NVIDIA
 that is accessed via GLVND.

Package: libgl1-glvnd-nvidia-glx
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 libgl1 (>> 0),
 libgl1-${nvidia}-glx,
Replaces:
 libgl1 (>> 0),
 libgl1-${nvidia}-glx,
Description: Vendor neutral GL dispatch library -- libGL
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the (binary) GLVND libGL.so.1 stub library provided by
 NVIDIA which dispatches to vendor implementations via GLVND.

#Package: libgl1-${nvidia}-glvnd-glx
Package: libgl1-nvidia-glvnd-glx
Architecture: i386 amd64 armhf
Multi-Arch: same
Depends:
 libgl1 (>= 0.2.999) | libgl1-glvnd-nvidia-glx,
 libglx-${nvidia}0 (= ${binary:Version}),
 ${misc:Depends}
Provides:
 libgl1-nvidia-glx-any,
Description: NVIDIA binary OpenGL/GLX library (GLVND variant)${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glvnd-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This metapackage depends on the NVIDIA binary OpenGL/GLX implementation using
 GLVND and the corresponding GLVND loader library.

#Package: libgl1-${nvidia}-glx
Package: libgl1-nvidia-glx
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 lib${nvidia}-glcore (= ${binary:Version}),
 nvidia-installer-cleanup (>= 20130816) [i386],
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia:kmod:binary},
Suggests:
 ${nvidia:kmod:source},
Provides:
 libgl1-nvidia-glx-any,
Conflicts:
 libgl1-${nvidia}-glvnd-glx,
Description: NVIDIA binary OpenGL/GLX library (non-GLVND variant)${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary OpenGL/GLX implementation
 provided by NVIDIA as a non-GLVND alternative.

#Package: lib${nvidia}-glcore
Package: libnvidia-glcore
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-glcore-${nvidia:Version},
Conflicts:
 libnvidia-glcore-${nvidia:Version},
 libgl1-nvidia-glx-${nvidia:Version},
Breaks:
 libgl1-${nvidia}-glx (<< 355.11-5),
Replaces:
 libgl1-${nvidia}-glx (<< 355.11-5),
Description: NVIDIA binary OpenGL/GLX core libraries${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
