## nvidia-graphics-drivers 384.130

=== debian/changelog ===
nvidia-graphics-drivers (384.130-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 May 2018 23:14:45 +0200

nvidia-graphics-drivers (384.130-1) stretch; urgency=medium

  * New upstream long lived branch release 384.130 (2018-03-28).
    * Fixed CVE-2018-6249, CVE-2018-6253.
      https://nvidia.custhelp.com/app/answers/detail/a_id/4649
      (Closes: #894338)
    - Improved compatibility with recent Linux kernels.
    - Fixed a string concatenation bug that caused libGL to accidentally try to
      create the directory "$HOME.nv" rather than "$HOME/.nv" in some cases
      where /tmp isn't accessible.  (Closes: #888028)
    - Increased the version numbers of the GLVND libGL, libGLESv1_CM,
      libGLESv2, and libEGL libraries, to prevent concurrently installed
      non-GLVND libraries from taking precedence in the dynamic linker
      cache.
  * New upstream release 340 series.
    - Fixed a bug which could cause X servers that export a Video Driver
      ABI earlier than 0.8 to crash when running X11 applications which
      call XRenderAddTraps().

  [ Luca Boccassi ]
  * Install the renamed GLVND libraries and add SONAME symlinks.

  [ Andreas Beckmann ]
  * Bump the required glx-diversions/glx-alternative-nvidia version for the
    renamed GLVND libraries.
  * Upload to stretch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Apr 2018 14:40:27 +0200

nvidia-graphics-drivers (384.111-4~deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert changelog parsing changes that require dpkg 1.18.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 07:05:54 +0100

nvidia-graphics-drivers (384.111-4~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.
  * Relax the libvulkan1 (build-)dependency.
  * Do not conflict with *-glvnd-nvidia, there is no libglvnd in stretch.
  * Continue recommending the GLESv1 library for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Feb 2018 01:45:42 +0100

nvidia-graphics-drivers (384.111-4) unstable; urgency=medium

  * nvidia-kernel-{dkms,source}: Mention the supported architecture(s) in the
    long Description.
  * Use dh_missing --fail-missing.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Jan 2018 20:37:47 +0100

nvidia-graphics-drivers (384.111-3) unstable; urgency=medium

  * Add more Breaks to nvidia-driver-libs and nvidia-driver-libs-nonglvnd to
    ease upgrade paths and switching.
  * nvidia-alternative.prerm: Trigger register-glx-alternative-nvidia upon
    removal.  (Closes: #883637)
  * libgl1-nvidia-glx.prerm: Do not forcibly remove the nvidia alternative,
    this would reset it from manual mode to auto mode while it could still
    be needed by other packages, e.g. libcuda1. Let the nvidia-alternative
    triggers handle it instead.
  * nvidia-kernel-dkms: Remove libelf-dev workaround, fixed in src:linux.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Jan 2018 01:43:41 +0100

nvidia-graphics-drivers (384.111-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3. No changes needed.
  * Add Breaks between nvidia-driver-libs and nvidia-driver-libs-nonglvnd.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Jan 2018 16:18:39 +0100

nvidia-graphics-drivers (384.111-1) unstable; urgency=medium

  * New upstream long lived branch release 384.111 (2018-01-04).
    * Fixed CVE-2017-5753, CVE-2017-5715 (spectre), CVE-2017-5754 (meltdown).
      https://nvidia.custhelp.com/app/answers/detail/a_id/4611
      (Closes: #886852)
    - Added support for the following GPUs: GeForce MX130, GeForce MX110,
      GeForce GTX 1050 Ti with Max-Q Design, Quadro P500.
    - Fixed a regression that prevented displays connected via some types of
      passive adapters (e.g. DMS-59 to VGA or DVI) from working correctly.
      The regression was introduced with driver version 384.98.
    - Fixed a bug that caused Quadro M2200 GPUs to enter the lowest available
      PowerMizer performance level when under load.
    * Improved compatibility with recent Linux kernels.  (Closes: #886470)

  [ Andreas Beckmann ]
  * Support easier and consistent switching between GLVND/non-GLVND variants.
  * nvidia-driver-libs{,-i386}: Depend only on the GLVND variants.
  * nvidia-driver-libs-nonglvnd{,-i386}: New metapackages depending only on
    the non-GLVND variants.  (Closes: #864497)
  * nvidia-driver-libs: Stop recommending the GLES1 library, dropped by MESA.
  * Stop shipping the classic libnvidia-tls.so.* and ship the modern one (for
    Linux 2.6 onwards) in the regular libdir instead of the tls/ subdir.
    (Closes: #883615)
  * Add #tls# substitution for the tls/ source directory.
  * Bump Standards-Version to 4.1.2. No changes needed.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Update symbols files.
  * nvidia-kernel-dkms: add dependency to libelf-dev [amd64] to fix kernel
    modules builds failures due to new config used by the kernel.
    Workaround for #886474.
  * Update German debconf translation. Thank you Holger Wansing!
    (Closes: #885925)
  * Update Russian debconf translation. Thank you Lev Lamberov!
    (Closes: #886005)

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Jan 2018 20:05:47 +0000

nvidia-graphics-drivers (384.98-3) unstable; urgency=medium

  * Fix libnvidia-ptxjitcompiler.so.1 alternative link.  (Closes: #883303)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Dec 2017 21:50:28 +0100

nvidia-graphics-drivers (384.98-2) unstable; urgency=medium

  * Merge changes from 381.22-3.
  * Restrict watch file to releases from the 384.xx long lived branch.
  * Fix circular dependency between stamp and generated nvidia_icd.json.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Nov 2017 07:29:38 +0100

nvidia-graphics-drivers (384.98-1) experimental; urgency=medium

  * New upstream long lived branch release 384.98 (2017-11-02).

