=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Source: nvidia-graphics-drivers
 Section: non-free/libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
@@ -13,9 +11,10 @@
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-graphics-drivers/
 Build-Depends:
  debhelper (>= 10),
- dpkg-dev (>= 1.18.8),
+ dpkg-dev (>= 1.17),
  xz-utils,
  dkms,
+ libvulkan1,
  libwayland-client0,
  libwayland-server0,
  libxext6 [!ppc64el],
@@ -24,7 +23,7 @@
 Build-Conflicts:
  libglvnd-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://www.nvidia.com
 XS-Autobuild: yes
 
@@ -36,7 +35,7 @@
  nvidia-installer-cleanup,
  ${nvidia:legacy-check},
 Depends:
- ${nvidia}-driver-libs (= ${binary:Version}),
+ ${nvidia}-driver-libs (= ${binary:Version}) | ${nvidia}-driver-libs-nonglvnd (= ${binary:Version}),
  ${nvidia}-driver-bin (= ${binary:Version}),
  xserver-xorg-video-${nvidia} (= ${binary:Version}),
  ${nvidia}-vdpau-driver (= ${binary:Version}),
@@ -100,8 +99,8 @@
 Architecture: i386 amd64 armhf
 Multi-Arch: same
 Depends:
- libgl1-${nvidia}-glvnd-glx (= ${binary:Version}) | libgl1-${nvidia}-glx (= ${binary:Version}),
- ${nvidia}-egl-icd (= ${binary:Version}) | libegl1-${nvidia} (= ${binary:Version}),
+ libgl1-${nvidia}-glvnd-glx (= ${binary:Version}),
+ ${nvidia}-egl-icd (= ${binary:Version}),
  ${misc:Depends}
 Recommends:
  ${nvidia}-driver-libs-i386 [amd64],
@@ -110,7 +109,8 @@
  libgles-${nvidia}1 (= ${binary:Version}),
  libgles-${nvidia}2 (= ${binary:Version}),
  lib${nvidia}-cfg1 (= ${binary:Version}),
- ${nvidia}-vulkan-icd (= ${binary:Version}) [amd64 i386] | ${nvidia}-nonglvnd-vulkan-icd (= ${binary:Version}) [amd64 i386],
+ nvidia-egl-wayland-icd (= ${binary:Version}),
+ ${nvidia}-vulkan-icd (= ${binary:Version}) [amd64 i386],
 #Conflicts:
 # libglvnd0-nvidia,
 # libopengl0-glvnd-nvidia,
@@ -119,6 +119,11 @@
 # libegl1-glvnd-nvidia,
 # libgles1-glvnd-nvidia,
 # libgles2-glvnd-nvidia,
+Breaks:
+ ${nvidia}-driver-libs-nonglvnd,
+ libgl1-${nvidia}-glx,
+ libegl1-${nvidia},
+ ${nvidia}-nonglvnd-vulkan-icd,
 Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES libraries)${nvidia:LegacyDesc}
  This metapackage depends on the NVIDIA binary libraries
  that provide optimized hardware acceleration of
@@ -136,6 +141,53 @@
 Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES 32-bit libraries)${nvidia:LegacyDescShort}
  This metapackage helps the automatic installation of the 32-bit NVIDIA
  OpenGL/GLX/EGL/GLES libraries when installing ${nvidia}-driver-libs
+ on amd64 with foreign architecture i386 enabled.
+
+#Package: ${nvidia}-driver-libs-nonglvnd
+Package: nvidia-driver-libs-nonglvnd
+Architecture: i386 amd64 armhf
+Multi-Arch: same
+Depends:
+ libgl1-${nvidia}-glx (= ${binary:Version}),
+ libegl1-${nvidia} (= ${binary:Version}),
+ ${misc:Depends}
+Recommends:
+ ${nvidia}-driver-libs-nonglvnd-i386 [amd64],
+ libglx-${nvidia}0 (= ${binary:Version}),
+ libgles-${nvidia}1 (= ${binary:Version}),
+ libgles-${nvidia}2 (= ${binary:Version}),
+ lib${nvidia}-cfg1 (= ${binary:Version}),
+ nvidia-egl-wayland-icd (= ${binary:Version}),
+ ${nvidia}-nonglvnd-vulkan-icd (= ${binary:Version}) [amd64 i386],
+Conflicts:
+# libglvnd0-nvidia,
+# libopengl0-glvnd-nvidia,
+# libglx0-glvnd-nvidia,
+ libgl1-glvnd-nvidia-glx,
+ libegl1-glvnd-nvidia,
+# libgles1-glvnd-nvidia,
+# libgles2-glvnd-nvidia,
+Breaks:
+ ${nvidia}-driver-libs,
+ libgl1-${nvidia}-glvnd-glx,
+ ${nvidia}-vulkan-icd,
+Description: NVIDIA metapackage (non-GLVND OpenGL/GLX/EGL/GLES libraries)${nvidia:LegacyDesc}
+ This metapackage depends on the (non-GLVND) NVIDIA binary libraries
+ that provide optimized hardware acceleration of
+ OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.
+
+#Package: ${nvidia}-driver-libs-nonglvnd-i386
+Package: nvidia-driver-libs-nonglvnd-i386
+Architecture: i386
+Multi-Arch: foreign
+Depends:
+ ${nvidia}-driver-libs-nonglvnd,
+ ${misc:Depends}
+Conflicts:
+ libgl1-${nvidia}-glx-i386,
+Description: NVIDIA metapackage (non-GLVND OpenGL/GLX/EGL/GLES 32-bit libraries)${nvidia:LegacyDescShort}
+ This metapackage helps the automatic installation of the 32-bit NVIDIA
+ OpenGL/GLX/EGL/GLES libraries when installing ${nvidia}-driver-libs-nonglvnd
  on amd64 with foreign architecture i386 enabled.
 
 #Package: xserver-xorg-video-${nvidia}
@@ -327,54 +379,3 @@
 Architecture: i386 amd64 armhf
 Multi-Arch: same
 Pre-Depends:
- nvidia-installer-cleanup,
- ${nvidia:legacy-check},
- ${misc:Pre-Depends}
-Depends:
- ${nvidia}-alternative (= ${binary:Version}),
- lib${nvidia}-glcore (= ${binary:Version}),
- nvidia-installer-cleanup (>= 20130816) [i386],
- nvidia-support,
- ${shlibs:Depends}, ${misc:Depends}
-Recommends:
- ${nvidia:kmod:binary},
-Suggests:
- ${nvidia:kmod:source},
-Provides:
- libgl1-nvidia-glx-any,
-Conflicts:
- libgl1-${nvidia}-glvnd-glx,
-Description: NVIDIA binary OpenGL/GLX library (non-GLVND variant)${nvidia:LegacyDesc}
- The NVIDIA binary driver provides optimized hardware acceleration of
- OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
- for graphics cards using NVIDIA chip sets.
- .
- See the description of the ${nvidia}-driver package
- or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
- for a complete list of supported GPUs and PCI IDs.
- .
- This package contains the driver specific binary OpenGL/GLX implementation
- provided by NVIDIA as a non-GLVND alternative.
-
-#Package: lib${nvidia}-glcore
-Package: libnvidia-glcore
-Architecture: i386 amd64 armhf
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${shlibs:Depends}, ${misc:Depends}
-Provides:
- libnvidia-glcore-${nvidia:Version},
-Conflicts:
- libnvidia-glcore-${nvidia:Version},
- libgl1-nvidia-glx-${nvidia:Version},
-Breaks:
- libgl1-${nvidia}-glx (<< 355.11-5),
-Replaces:
- libgl1-${nvidia}-glx (<< 355.11-5),
-Description: NVIDIA binary OpenGL/GLX core libraries${nvidia:LegacyDesc}
- The NVIDIA binary driver provides optimized hardware acceleration of
- OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
- for graphics cards using NVIDIA chip sets.
- .
