=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/pkg-info.mk
+DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+NVIDIA_RELEASE		:= $(shell dpkg-parsechangelog --show-field=Version | sed -r 's/^[0-9]+://; s/-[^-]+$$//')
+BUILD_DATE		:= $(shell dpkg-parsechangelog --show-field=Date)
 
 include debian/rules.defs
 NVIDIA_LEGACY		?=
@@ -15,12 +18,12 @@
 LINUX_KMOD_TESTED	?=
 NVIDIA_LEGACY_CHECK	?=
 NVIDIA_SETTINGS		?= nvidia-settings$(legacy)
-ARCH_LIST		?= i386 amd64
+ARCH_LIST		?= amd64
 ARCH_DEPS_i386		?=
+BLOB_ARCH_LIST		?= $(strip $(DEB_HOST_ARCH) $(ARCH_DEPS_$(DEB_HOST_ARCH)))
 UVM_ARCH_LIST		?= $(ARCH_LIST)
 VULKAN_ARCH_LIST	?= i386 amd64
 
-NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
 version			 = $(NVIDIA_RELEASE)
 version_major		 = $(firstword $(subst ., ,$(version)))
 deb_version_after_jessie = $(DEB_VERSION_AFTER_jessie)
@@ -78,7 +81,7 @@
 AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
 AUTOGEN		+= debian/bug-control
 AUTOGEN		+= debian/substvars
-AUTOGEN		+= $(if $(has_vulkan),NVIDIA-Linux/glvnd/nvidia_icd.json NVIDIA-Linux/nonglvnd/nvidia_icd.json)
+AUTOGEN		+= $(if $(has_vulkan),glvnd/nvidia_icd.json nonglvnd/nvidia_icd.json)
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
@@ -86,6 +89,8 @@
 module_txz	 = $(subst /modules/,/,$(module_source)).tar.xz
 dkms_source	 = debian/$(nvidia)-kernel-dkms/usr/src/$(module)-$(version)
 
+empty		 =
+space		 = $(empty) $(empty)
 comma		 = ,
 xorg_depends	 = $(foreach abi, $(XORG_ABI_LIST), xorg-video-abi-$(abi) |)
 xorg_depends	+= $(comma) xserver-xorg-core $(XORG_BOUND)
@@ -97,7 +102,8 @@
 
 .PHONY: autogen prepare patch
 autogen: $(AUTOGEN)
-prepare: autogen unpack-stamp nvidia.ids compare-copyright-license
+prepare: autogen unpack-stamp
+prepare: nvidia.ids compare-copyright-license
 patch: prepare
 
 NVIDIA-Linux-%:
@@ -114,14 +120,14 @@
 	ls -al
 	touch $@
 
-nvidia_icd.json.template	 = NVIDIA-Linux/nvidia_icd.json
+nvidia_icd.json.template	 = NVIDIA-Linux/nvidia_icd.json.template
 $(nvidia_icd.json.template): unpack-stamp
-NVIDIA-Linux/glvnd/nvidia_icd.json: $(nvidia_icd.json.template)
+glvnd/nvidia_icd.json: $(nvidia_icd.json.template)
 	mkdir -p $(@D)
-	cat $< > $@
-NVIDIA-Linux/nonglvnd/nvidia_icd.json: $(nvidia_icd.json.template)
+	sed 's/__NV_VK_ICD__/libGLX_nvidia.so.0/' $< > $@
+nonglvnd/nvidia_icd.json: $(nvidia_icd.json.template)
 	mkdir -p $(@D)
-	sed 's/libGLX_nvidia.so.0/libGL.so.1/' $< > $@
+	sed 's/__NV_VK_ICD__/libGL.so.1/' $< > $@
 
 nv-readme.ids: unpack-stamp
 	sed	-e '0,/A. Supported\|APPENDIX A: SUPPORTED/d' \
@@ -150,7 +156,6 @@
 	diff -w copyright.tmp LICENSE.tmp
 	rm -f copyright.tmp LICENSE.tmp
 
-
 .PHONY: binary binary-arch binary-indep build clean install
 binary binary-arch binary-indep build clean install:
 	dh $@ --with dkms
@@ -159,6 +164,7 @@
 	rm -fr .pc
 	rm -f NVIDIA-Linux
 	rm -fr $(foreach a,$(ARCH_LIST),NVIDIA-Linux-$a $(NVIDIA_DIRNAME_$a))
+	rm -fr glvnd nonglvnd
 	rm -fr kernel-source-tree
 	rm -f nvidia.ids nv-kernel.ids nv-readme.ids pci.ids.nvidia*
 	rm -f LICENSE.txt LICENSE.tmp copyright.tmp
@@ -175,7 +181,8 @@
 #  - module-assistant and make-kpkg
 #  - dkms
 .PHONY: install-into-tmp build-kernel-source-tree build-kernel-dkms-tree kernel-source-tree
-override_dh_auto_install: install-into-tmp build-kernel-source-tree build-kernel-dkms-tree
+override_dh_auto_install: install-into-tmp
+override_dh_auto_install: build-kernel-source-tree build-kernel-dkms-tree
 
 install-into-tmp:
 	# "Install" into debian/tmp.
@@ -196,5 +203,3 @@
 	# We may need nv-kernel.o for several architectures to accomodate
 	# all kernel flavors. Use Kbuild-compatible names.
 	rm -f $(module_source)/nvidia/nv-kernel.o_binary
-	$(foreach a,$(DEB_HOST_ARCH) $(ARCH_DEPS_$(DEB_HOST_ARCH)),cp -a NVIDIA-Linux-$a/kernel/nvidia/nv-kernel.o_binary $(module_source)/nvidia/nv-kernel-$a.o_binary ;)
-	rm -f $(module_source)/nvidia-modeset/nv-modeset-kernel.o_binary
